diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index 0e9827af640f9c25136a542b1221fd518493b7bc..fd7d164b78352171657d6fba64e220b71d83ba8a 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -1299,6 +1299,13 @@ cat > "${DIR}/cleanup_script.sh" <<-__EOF__
 			rm -rf /etc/apt/apt.conf.d/03-proxy-https || true
 		fi
 
+		#update time stamp before final cleanup...
+		if [ -f /lib/systemd/system/systemd-timesyncd.service ] ; then
+			touch /var/lib/systemd/clock
+
+			cat /etc/group | grep ^systemd-timesync && chown systemd-timesync:systemd-timesync /var/lib/systemd/clock || true
+		fi
+
 #		#This is tmpfs, clear out any left overs...
 #		if [ -d /run/ ] ; then
 #			rm -rf /run/* || true